###### R poest (t-testy a F-test)######

setwd("C:/Users/Navratil/Documents/R")
# setwd("C:/Users/uivatel/Documents/R") # cesta pro koln PC

library(readxl)

data <- read_excel("C:/Users/Navratil/Documents/Navratil/ZF/Statistika/data1.xlsx")
# data <- read_excel("E:/R/data1.xlsx") # cesta k datm na Vaich flekch

####Jednovbrov t-test####

# Vechny t-testy meme vypotat pomoc funkce t.test()
?t.test

# Testujeme, jestli se prmrn hodnota men pH na jae (promn pH1)
# li od oekvanho prmru 4.2; musme tedy zadat promnou, teoretick prmr a jestli 
# potme oboustrann nebo jednostrann t-test (abysme si ukzali vliv toho, co testuji)
# nejprve pro oboustrann test:
# H0: nen rozdl mezi prmrem hodnoty nmi mench dat a teoretickou hodnotou prmru 4.2
# hladina vznamnosti alfa = 95% (= p mus bt men ne 0.05, abych mohl zamtnout H0)

t.test(data$pH1, mu=4.2, alternative = "two.sided") #oboustrann test (automaticky nastaveno)

# vsledek: t=1.50, p=0.1488
# H0 nemohu zamtnout a tedy prmr mch dat se na stanovan hladin vznamnosti neli
# od teoretick hodnoty 4.2.

# A te u jen rychle cvin posoudme vsledky jednostrannch test

t.test(data$pH1, mu=4.2, alternative = "greater") #jednostrann (H0: mj prmr je men nebo roven mu, HA: mj prmr je vt ne mu)

t.test(data$pH1, mu=4.2, alternative = "less") #jednostrann (H0: mj prmr je vt nebo roven mu, HA: mj prmr je men ne mu)

# vimte si, e jejich vsledky jsou v hodnot t a df stejn (mm stejn prmry, poty 
# men i SE) - p je ale vrazn odlin, protoe tch 95% u alfa se rozdluje pokad jinak,
# proto je teba se dobe zamyslet nad tm, co pesn chci testovat


####Prov t-test####
# Zadvm ob promnn a atribut paired = TRUE
# Li se prvn a druh men pH?
# H0: nen rozdl mezi pH menm na jae (pH1) a v asnm lt (pH2)
# hladina vznamnosti alfa = 95% (= p mus bt men ne 0.05, abych mohl zamtnout H0)

t.test(data$pH1, data$pH2, paired = TRUE)

# vsledek: t=-4.87, p = 9.214e-05
# H0 na hladin vznamnosti alfa=95% zamtm a tedy men na jae a v asnm lt se li- 
# v asnm lt je vy (t je zporn, nebo jsem v itateli odetal vt hodnotu pH2 
# od men hodnoty prmru pH1)


####Dvouvbrov t-test####

# Ukeme si nov zpsob zadn promnn podle faktoru,
# k tomu se pouv symbol ~ (Alt + 126)
# Testuji rozdl v pH1 mezi vbry identifikovanmi ve sloupci bohatost, tedy se ptm, jestli
# se li prmrn pH meen na jae (pH1) mezi lokalitami druhov bohatmi a chudmi
# H0: pH men na jae se neli mezi lokalitami druhov bohatmi a chudmi
# hladina vznamnosti alfa = 95% (= p mus bt men ne 0.05, abych mohl zamtnout H0)

t.test(data$pH1~data$bohatost)

# vsledek: t=3.74, p=0.0016
# H0 zamtm, rozdl na hladin vznamnosti alfa=95% existuje (p je men ne 0.05).

# Pouit atributu var.equal=TRUE - t.test implicitn pot test pro rozdln variance
# obou prmr, pokud se variance neli, je teba zadat ve uveden parametr var.equal=TRUE

t.test(data$pH1~data$bohatost, var.equal=TRUE) #vimte si rozdlu ve vsledku

# vsledek: t=3.79, p=0.0012
# H0 zamtm, rozdl na hladin vznamnosti alfa=95% existuje (p je men ne 0.05).
# Jen pro zopakovn rozhodovn o H0 s ohledem na stanoven alfa:
# Vimte si, e na hladin vznamnosti alfa=99.9% bych H0 zamtnout nemohl,
# nebo p=0.0012, je tedy vt ne 99.9% (0.0010)


####F-test####
# F-test se skrv pod oznaenm funkce var.test()

?var.test

# Otestujme rozdly ve varianci mezi druhov bohatmi a chudmi lokalitami pro pH1
# H0: rozptyl (variance) v pH1 se mezi druhov bohatmi a chudmi lokalitami neli
# hladina vznamnosti alfa = 95% (= p mus bt men ne 0.05, abych mohl zamtnout H0)

var.test(data$pH1~data$bohatost)

# vsledek: F=1.73, p=0.405
# H0 nezamtm a uzavrm, e variance se mezi obma skupinami neli

# Podle H0 lze pout omezen v atributu alternative, stejn jako u t-testu.

# No a nezapomnejte se podvat, jak to reln vypad v grafu.

boxplot(data$pH1~data$bohatost, names=c("bohat", "chud"), main="pH na raelinitch (jaro)", xlab="vegetace", ylab="pH")